### Constructor

# Shumate VectorRenderer new

#### Declaration [src]

    ShumateVectorRenderer*
    shumate_vector_renderer_new (
      const char* id,
      const char* style_json,
      GError** error
    )

#### Description [src]

Creates a new `ShumateVectorRenderer` from the given JSON style.

The stylesheet should contain a list of tile sources. Tiles will be downloaded using `ShumateTileDownloader`s.

See the MapLibre Style Specification for details on `style_json`, but be aware that libshumate does not support every feature of the specification.

#### Parameters

`id`

  Type: `const char*`

  An ID for the map source.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`style_json`

  Type: `const char*`

  A vector style.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ShumateVectorRenderer`

A newly constructed `ShumateVectorRenderer`, or `NULL` if `error` is set.

The caller of the function takes ownership of the data, and is responsible for freeing it.